package kr.co.uplus.ez.api.comm;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import kr.co.uplus.ez.api.comm.dto.Auth;
import kr.co.uplus.ez.api.comm.dto.Code;
import kr.co.uplus.ez.api.comm.dto.CodeReqDto;
import kr.co.uplus.ez.api.comm.dto.Menu;

@Mapper
public interface CommMapper {
	public List<Menu> getMenuByRole(String role);

	public List<Code> getCommCode(CodeReqDto codeReqDto);

	public List<Auth> getAuthCode();

	public void insertWebMsgCli(Map<Object, Object> newezMsgMap);

	public void insertNotiHst(Map<Object, Object> newMsgHistMap);
}
